Subject: bug#55439: [PATCH] Add support for the Modi script

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 May 2022 14:33:55 +0300

> From: समीर सिंह Sameer Singh
>  <[email-masked]>
> Date: Mon, 16 May 2022 05:03:59 +0530
> 
> I have added the modi script to Emacs this time.

Thanks.

Can you tell how many more old scripts you intend to add?  I'm
thinking perhaps we should make a separate section for them in NEWS,
instead of basically repeating the same text over and over and over
again.

> I have also renamed Hindi to Devanagari in etc/HELLO, since this
> script is also used by languages other than Hindi, like: Marathi and
> Nepali.

I'm okay with the change, but please add the same sample-text to the
Devanagari language environment in indian.el.

> Please review the patch.
> diff --git a/etc/HELLO b/etc/HELLO
> index 16a38b59d3..04014e8dea 100644
> --- a/etc/HELLO
> +++ b/etc/HELLO
> @@ -38,6 +38,7 @@ Comanche /kəˈmæntʃiː/	Haa marʉ́awe
>  Cree (ᓀᐦᐃᔭᐍᐏᐣ)	ᑕᓂᓯ / ᐙᒋᔮ
>  Czech (čeština)	Dobrý den
>  Danish (dansk)	Hej / Goddag / Halløj
> +Devanagari (देवनागरी)	नमस्ते / नमस्कार
>  Dutch (Nederlands)	Hallo / Dag
>  Efik  /ˈɛfɪk/	Mɔkɔm
>  Egyptian Hieroglyphs (𓂋𓏤𓈖𓆎𓅓‌𓏏𓊖)	𓅓𓊵𓏏𓊪, 𓇍𓇋𓂻𓍘𓇋
> @@ -55,7 +57,6 @@ Greek, ancient (ἑλληνική)	Οὖλέ τε καὶ μέγα χαῖρε
>  Gujarati (ગુજરાતી)	નમસ્તે
>  Hebrew (עִבְרִית)	שָׁלוֹם
>  Hungarian (magyar)	Szép jó napot!
> -Hindi (हिंदी)	नमस्ते / नमस्कार ।

The "Hindi" greeting had a character at its end, U+0964, which
disappeared when you moved the line to Devanagari.  Is that
intentional?

> +*** New language environment "Modi"

Period missing at the end of this line.